﻿@model Schedule.Application.ViewModel.CentroCustoViewModel

@{
    ViewData["Title"] = "Novo";
}


<head>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />    
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <script src="~/lib/jqueryui/jquery-ui.js"></script>

    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>

</head>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-4">
                <h4>Editar Centro de Custo</h4>
            </div>
        </div>
    </div>

    <hr />
    <br />
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-10">
                <form asp-action="Editar">
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label asp-for="EmpresaId" class="control-label">Empresa:</label>
                            @Html.DropDownListFor(n => n.EmpresaId, (SelectList)ViewBag.Empresas, "Selecione", new { @class = "form-control" })

                            <span asp-validation-for="EmpresaId" class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-4">
                            <label asp-for="ClienteId" class="control-label">Cliente:</label>
                            @Html.DropDownListFor(n => n.ClienteId, (SelectList)ViewBag.Clientes, "Selecione", new { @class = "form-control" })

                            <span asp-validation-for="ClienteId" class="text-danger"></span>
                        </div>

                    </div>
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label asp-for="TipoCentroCustoId" class="control-label">Tipo Centro de Custo:</label>
                            @Html.DropDownListFor(n => n.TipoCentroCustoId, (SelectList)ViewBag.TiposCentroCusto, "Selecione", new { @class = "form-control" })
                            <span asp-validation-for="TipoCentroCustoId" class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-4">
                            <label asp-for="ResponsavelId" class="control-label">Responsavel:</label><br />
                            <select id="ResponsavelId" style="width:100%" class="form-control" name="ResponsavelId">
                                @if (ViewBag.Responsaveis != null)
                                    foreach (var item in ViewBag.Responsaveis)
                                    {
                                        if (item.Nome == "Selecione" && Model != null && Model.ResponsavelId == Guid.Empty)
                                        {
                                            <option selected="selected" value="@item.id">
                                                @item.Nome
                                            </option>
                                        }
                                        else if (Model != null && Model.ResponsavelId != null && Model.ResponsavelId == item.id)
                                        {
                                            <option selected="selected" value="@item.id">
                                                @item.Nome
                                            </option>
                                        }
                                        else
                                        {
                                            <option value="@item.id">
                                                @item.Nome
                                            </option>
                                        }


                                    }
                            </select>
                            @*<span asp-validation-for="ResponsavelId" accesskey="ResponsavelId"  class="text-danger"></span>*@
                        </div>
                    </div>
                    <div class="row">

                        <div class="form-group col-md-4">
                            <label asp-for="Nome" class="control-label">@ScheduleResorce.RetornaValor("LabelDescricao"):</label>
                            <input asp-for="Nome" value="@Model.Nome"   class="form-control" placeholder="Digite a @ScheduleResorce.RetornaValor("LabelDescricao")..." required />
                            <span asp-validation-for="Nome" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-4">
                            <label asp-for="Taxa" class="control-label">Taxa:</label>
                            <input asp-for="Taxa" maxlength="10" value="@Model.Taxa.ToString()" class="form-control" placeholder="Digite a Taxa..." required />
                            <span asp-validation-for="Taxa" class="text-danger"></span>
                        </div>

                    </div>
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label asp-for="DataInicioContrato" class="control-label">Data Inicio Contrato:</label>
                            <input asp-for="DataInicioContrato" name="DataInicioContrato" class="form-control" autocomplete="off" placeholder="Digite a Data de Inicio do Contrato..." required />
                            <span asp-validation-for="DataInicioContrato" class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-4">
                            <label asp-for="DataFinalContrato" class="control-label">Data  Término Contrato:</label>
                            <input asp-for="DataFinalContrato" name="DataFinalContrato" class="form-control" autocomplete="off" placeholder="Digite a Data de Término do Contrato..." required />
                            <span asp-validation-for="DataFinalContrato" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label asp-for="Ativo" class="control-label">Ativo:</label>
                            @Html.CheckBoxFor(c => c.Ativo)


                        </div>
                    </div>


                    <br />
                    <div asp-validation-summary="ModelOnly" class=" text-danger">
                    </div>
                    <br />
                    <div class="form-group">
                        <input type="submit" value="Salvar" class="btn btn-primary" />
                        <a asp-action="Index" class="btn btn-danger">Voltar</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
    <script src="~/lib/Mask/jquery.mask.min.js"></script>
    <script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/CentroCusto.js")"></script>
